Package org.eclipse.jgit.submodule

## Enum SubmoduleStatusType

- java.lang.Object
- - java.lang.Enum<SubmoduleStatusType>
  - - org.eclipse.jgit.submodule.SubmoduleStatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<SubmoduleStatusType>`

    public enum SubmoduleStatusType
    extends Enum<SubmoduleStatusType>

Enumeration of different statuses that a submodule can be in

### Enum Constant Summary

Enum Constants
`INITIALIZED` Submodule's Git repository is initialized
`MISSING` Submodule's configuration is missing
`REV_CHECKED_OUT` Submodule commit checked out is different than the commit referenced in the index tree
`UNINITIALIZED` Submodule's Git repository is not initialized

### Method Summary

All Methods Static Methods Concrete Methods
`static SubmoduleStatusType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static SubmoduleStatusType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MISSING

    public static final SubmoduleStatusType MISSING

Submodule's configuration is missing

#### UNINITIALIZED

    public static final SubmoduleStatusType UNINITIALIZED

Submodule's Git repository is not initialized

#### INITIALIZED

    public static final SubmoduleStatusType INITIALIZED

Submodule's Git repository is initialized

#### REV_CHECKED_OUT

    public static final SubmoduleStatusType REV_CHECKED_OUT

Submodule commit checked out is different than the commit referenced in the index tree

### Method Detail

#### values

    public static SubmoduleStatusType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SubmoduleStatusType c : SubmoduleStatusType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SubmoduleStatusType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null